@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package osc_snovis with version v1r0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build
REM # or :
REM #   DOS> call DOS\build.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_osc_snovis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_osc_snovis_path=%obuild_osc_snovis_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no

SET obuild_args=

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   build [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -* : passed to packages build script.
  ECHO
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SET obuild_args=%obuild_args% -v
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  ECHO ON
  SET obuild_args=%obuild_args% -x
  SHIFT
  GOTO next_arg
:end_if_x

SET obuild_args=%obuild_args% %1%
SHIFT
GOTO next_arg

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_find.cpp" 1> NUL
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

cd "%obuild_snovis_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build snovis/v1r1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return

cd "%obuild_bhep_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build bhep/v1r4p2 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return

cd "%obuild_snova_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build snova/v2r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

cd "%obuild_snovis_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build snovis/v1r1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
:obuild_return
ENDLOCAL
@ECHO ON
